Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class OBJECT_NOT_EXISTHelper

    java.lang.Object
      |
      +--org.omg.CORBA.OBJECT_NOT_EXISTHelper

public class OBJECT_NOT_EXISTHelper
extends java.lang.Object

Helper class for : OBJECT_NOT_EXIST

Author:
  OpenORB Compiler

Constructor Summary
`OBJECT_NOT_EXISTHelper()`

Method Summary
`static OBJECT_NOT_EXIST` | `extract(Any a)` Extract OBJECT_NOT_EXIST from an any
`static java.lang.String` | `id()` Return the OBJECT_NOT_EXIST IDL ID
`static void` | `insert(Any a, OBJECT_NOT_EXIST t)` Insert OBJECT_NOT_EXIST into an any
`static OBJECT_NOT_EXIST` | `read(InputStream istream)` Read OBJECT_NOT_EXIST from a marshalled stream
`static TypeCode` | `type()` Return the OBJECT_NOT_EXIST TypeCode
`static void` | `write(OutputStream ostream, OBJECT_NOT_EXIST value)` Write OBJECT_NOT_EXIST into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OBJECT_NOT_EXISTHelper

    public OBJECT_NOT_EXISTHelper()

Method Detail

### insert

    public static void insert(Any a,
                              OBJECT_NOT_EXIST t)

  Insert OBJECT_NOT_EXIST into an any
  Parameters:
    `a` - an any
    `t` - OBJECT_NOT_EXIST value

### extract

    public static OBJECT_NOT_EXIST extract(Any a)

  Extract OBJECT_NOT_EXIST from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted OBJECT_NOT_EXIST value

### type

    public static TypeCode type()

  Return the OBJECT_NOT_EXIST TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the OBJECT_NOT_EXIST IDL ID
  Returns:
    an ID

### read

    public static OBJECT_NOT_EXIST read(InputStream istream)

  Read OBJECT_NOT_EXIST from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed OBJECT_NOT_EXIST value

### write

    public static void write(OutputStream ostream,
                             OBJECT_NOT_EXIST value)

  Write OBJECT_NOT_EXIST into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - OBJECT_NOT_EXIST value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD